## org.eclipse.datatools.sqltools.debugger.model
Class SPGlobalVariable

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.datatools.sqltools.debugger.model.SPDebugElement
              org.eclipse.datatools.sqltools.debugger.model.SPVariable
                  org.eclipse.datatools.sqltools.debugger.model.SPGlobalVariable

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.debug.core.model.IDebugElement, org.eclipse.debug.core.model.IValueModification, org.eclipse.debug.core.model.IVariable

    public class SPGlobalVariable

extends SPVariable

We don't support change global variable values.

Author:
  Yang Liu

Constructor Summary
`SPGlobalVariable(SPDebugTarget target, java.lang.String name)`

Method Summary
`boolean` `isGlobal()`
`void` `setValue(org.eclipse.debug.core.model.IValue value)`
`void` `setValue(java.lang.String expression)`
`boolean` `supportsValueModification()`
`boolean` `verifyValue(org.eclipse.debug.core.model.IValue value)`
`boolean` `verifyValue(java.lang.String expression)`

Methods inherited from class org.eclipse.datatools.sqltools.debugger.model.SPVariable
`getName, getReferenceTypeName, getValue, hasValueChanged, internalSetValue`

Methods inherited from class org.eclipse.datatools.sqltools.debugger.model.SPDebugElement
`fireChangeEvent, fireResumeEvent, fireSuspendEvent, getAdapter, getDebugTarget, getLaunch, getModelIdentifier, getSPDebugTarget, notSupported`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.debug.core.model.IDebugElement
`getDebugTarget, getLaunch, getModelIdentifier`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### SPGlobalVariable

    public SPGlobalVariable(SPDebugTarget target,
                            java.lang.String name)

Parameters:
  `target` -
  `name` -
  `global` -

Method Detail

### isGlobal

    public boolean isGlobal()

  Specified by:
    `isGlobal` in class `SPVariable`
  Returns:

### setValue

    public void setValue(java.lang.String expression)
                  throws org.eclipse.debug.core.DebugException

  Throws:
    `org.eclipse.debug.core.DebugException`

### setValue

    public void setValue(org.eclipse.debug.core.model.IValue value)
                  throws org.eclipse.debug.core.DebugException

  Throws:
    `org.eclipse.debug.core.DebugException`

### supportsValueModification

    public boolean supportsValueModification()

### verifyValue

    public boolean verifyValue(java.lang.String expression)
                        throws org.eclipse.debug.core.DebugException

  Throws:
    `org.eclipse.debug.core.DebugException`

### verifyValue

    public boolean verifyValue(org.eclipse.debug.core.model.IValue value)
                        throws org.eclipse.debug.core.DebugException

  Throws:
    `org.eclipse.debug.core.DebugException`